package com.yeejoin.amos.boot.module.common.api.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.yeejoin.amos.boot.module.common.api.dto.FailureDetailsDto;
import com.yeejoin.amos.boot.module.common.api.dto.OrgUsrDto;
import com.yeejoin.amos.boot.module.common.api.dto.StatusDto;
import com.yeejoin.amos.boot.module.common.api.entity.FailureDetails;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * Mapper 接口
 *
 * @author system_generator
 * @date 2021-08-04
 */
public interface FailureDetailsMapper extends BaseMapper<FailureDetails> {

    /**
     * 查询全部 分页
     *
     * @param page
     * @return
     */
    IPage<FailureDetails> selectAllPage(Page page);

    /**
     * 查询我发起的 分页
     * current 当前页
     * size 条数
     *
     * @return
     */
    IPage<FailureDetails> selectISubPage(Page page, String submissionPid);

    /**
     * 查询待处理 分页
     *
     * @param page
     * @return
     */
    IPage<FailureDetails> selectInProcessing(Page page);


    IPage<FailureDetails> selectStatusWaitTj(Page page);

    IPage<FailureDetails> selectStatusWaitWx();


    List<StatusDto> selectStatusCount();

    List<StatusDto> selectStatusWx();

    List<StatusDto> selectStatusFq();

    List<StatusDto> selectStatusFqp(Integer submissionPid);

    List<StatusDto> selectStatusLeader();


}
